<?php

namespace App\Http\Controllers\Views;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Equipo;
use App\TipoEquipo;

class EquipoController extends Controller
{
    public function index(Request $request) 
    {
        $tipos_equipos = TipoEquipo::all();

        $equipos = Equipo::orderBy('id', 'DESC');

        if ($request->has('tipo-equipo') && $request->input('tipo-equipo') != 0)
            $equipos = $equipos->where('tipos_equipo_id', $request->input('tipo-equipo'));

        if ($request->input('nombre'))
            $equipos = $equipos->where('nombre', 'like', '%'.$request->input('nombre').'%');


        $equipos = $equipos->paginate(3);

        return view('web.equipos.index', compact('equipos', 'tipos_equipos'));
    }

    public function show($id) 
    {
        $equipo = Equipo::find($id);

        $equipos = Equipo::orderBy('updated_at', 'DESC')->where('id', '<>', $id)->get()->take(5);

        return view('web.equipos.show', compact('equipo', 'equipos'));
    }
}
